Get a Spot order
curl --request GET \
--url https://api.ornn.com/v1/markets/spot/orders/{orderId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ornn.com/v1/markets/spot/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ornn.com/v1/markets/spot/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ornn.com/v1/markets/spot/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ornn.com/v1/markets/spot/orders/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ornn.com/v1/markets/spot/orders/{orderId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ornn.com/v1/markets/spot/orders/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"order": {
"orderId": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"orderBookId": "bbbbbbbb-bbbb-4bbb-8bbb-bbbbbbbbbbbb",
"gpuSlug": "nvidia_h100_sxm",
"side": "bid",
"orderType": "limit",
"pricePerGpuHourMicroUsd": 2500000,
"requestedGpus": 8,
"remainingGpus": 0,
"status": "running",
"cancelReason": null,
"aggressorSide": "bid",
"listingId": "eeeeeeee-eeee-4eee-8eee-eeeeeeeeeeee",
"nodeId": "33333333-3333-4333-8333-333333333333",
"createdAt": "2026-10-14T18:30:00.000Z",
"filledAt": "2026-10-14T18:30:00.000Z",
"endedAt": null,
"endReason": null,
"isMine": true,
"isSeller": false
}
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"detail": {
"code": "order_not_found",
"message": "Ornn could not find that order."
}
}{
"code": "<string>",
"detail": "<string>"
}Get a Spot order
Returns one order your organization placed, or one that filled against capacity you listed.
GET
/
v1
/
markets
/
spot
/
orders
/
{orderId}
Get a Spot order
curl --request GET \
--url https://api.ornn.com/v1/markets/spot/orders/{orderId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ornn.com/v1/markets/spot/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ornn.com/v1/markets/spot/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ornn.com/v1/markets/spot/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ornn.com/v1/markets/spot/orders/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ornn.com/v1/markets/spot/orders/{orderId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ornn.com/v1/markets/spot/orders/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"order": {
"orderId": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"orderBookId": "bbbbbbbb-bbbb-4bbb-8bbb-bbbbbbbbbbbb",
"gpuSlug": "nvidia_h100_sxm",
"side": "bid",
"orderType": "limit",
"pricePerGpuHourMicroUsd": 2500000,
"requestedGpus": 8,
"remainingGpus": 0,
"status": "running",
"cancelReason": null,
"aggressorSide": "bid",
"listingId": "eeeeeeee-eeee-4eee-8eee-eeeeeeeeeeee",
"nodeId": "33333333-3333-4333-8333-333333333333",
"createdAt": "2026-10-14T18:30:00.000Z",
"filledAt": "2026-10-14T18:30:00.000Z",
"endedAt": null,
"endReason": null,
"isMine": true,
"isSeller": false
}
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"detail": {
"code": "order_not_found",
"message": "Ornn could not find that order."
}
}{
"code": "<string>",
"detail": "<string>"
}A filled bid’s
orderId is also its reservation ID. Use it with Get a reservation to follow the spot VM’s reservation.Authorizations
Create an organization API key in Account Settings > Developer. Do not send this key to the Kubernetes API server.
Path Parameters
Spot order ID. For a filled bid this is also its reservation ID.
Response
The order.
Show child attributes
Show child attributes
Was this page helpful?